<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Nano102_112 Series BSP: StdDriver/inc/wdt.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Nano102_112 Series BSP
   &#160;<span id="projectnumber">V3.03.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for  Nano102_112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">wdt.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="wdt_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/**************************************************************************/</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#ifndef __WDT_H__</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#define __WDT_H__</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;{</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40d302804bb9f2ee0bf28caac9b7b82b">   32</a></span>&#160;<span class="preprocessor">#define WDT_TIMEOUT_2POW4           (0UL &lt;&lt; WDT_CTL_WTIS_Pos) </span></div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga199a40282f99161bab7c7b9e0a3e900f">   33</a></span>&#160;<span class="preprocessor">#define WDT_TIMEOUT_2POW6           (1UL &lt;&lt; WDT_CTL_WTIS_Pos) </span></div><div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabaad8360992525da5c86b267e2900c04">   34</a></span>&#160;<span class="preprocessor">#define WDT_TIMEOUT_2POW8           (2UL &lt;&lt; WDT_CTL_WTIS_Pos) </span></div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab04478b5a13afdedd001d22212e40716">   35</a></span>&#160;<span class="preprocessor">#define WDT_TIMEOUT_2POW10          (3UL &lt;&lt; WDT_CTL_WTIS_Pos) </span></div><div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafc2b0af3ecf6be71ebb2ef0584560eb1">   36</a></span>&#160;<span class="preprocessor">#define WDT_TIMEOUT_2POW12          (4UL &lt;&lt; WDT_CTL_WTIS_Pos) </span></div><div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2c19cd50d5344568bc43f1d324ca5917">   37</a></span>&#160;<span class="preprocessor">#define WDT_TIMEOUT_2POW14          (5UL &lt;&lt; WDT_CTL_WTIS_Pos) </span></div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1d8419a9bcdd7b94c2c03ad9a89788c7">   38</a></span>&#160;<span class="preprocessor">#define WDT_TIMEOUT_2POW16          (6UL &lt;&lt; WDT_CTL_WTIS_Pos) </span></div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga48e0f9050a0b74cfd0679bc04233fad2">   39</a></span>&#160;<span class="preprocessor">#define WDT_TIMEOUT_2POW18          (7UL &lt;&lt; WDT_CTL_WTIS_Pos) </span></div><div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6392efe510e280993bcc4a37c2276104">   41</a></span>&#160;<span class="preprocessor">#define WDT_RESET_DELAY_3CLK        (3UL &lt;&lt; WDT_CTL_WTRDSEL_Pos)    </span></div><div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae4657559bffe8d11895453876c330aac">   42</a></span>&#160;<span class="preprocessor">#define WDT_RESET_DELAY_18CLK       (2UL &lt;&lt; WDT_CTL_WTRDSEL_Pos)    </span></div><div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga390a970080cb5f9d26f00d27f785e856">   43</a></span>&#160;<span class="preprocessor">#define WDT_RESET_DELAY_130CLK      (1UL &lt;&lt; WDT_CTL_WTRDSEL_Pos)    </span></div><div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf9da89755817d8650a63dfe146c0ed6b">   44</a></span>&#160;<span class="preprocessor">#define WDT_RESET_DELAY_1026CLK     (0UL &lt;&lt; WDT_CTL_WTRDSEL_Pos)    </span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="preprocessor"> </span><span class="comment">/* end of group NANO1X2_WDT_EXPORTED_CONSTANTS */</span><span class="preprocessor"></span></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1dfc74e1dc2191290cafe393e7f4eda8">   59</a></span>&#160;<span class="preprocessor">#define WDT_CLEAR_RESET_FLAG()  (WDT-&gt;ISR = WDT_ISR_RST_IS_Msk)</span></div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga16c65c2211c5071873a7651183044893">   67</a></span>&#160;<span class="preprocessor">#define WDT_CLEAR_TIMEOUT_INT_FLAG() (WDT-&gt;ISR = WDT_ISR_IS_Msk)</span></div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga16005b63d605513449d1309bac67ebd2">   75</a></span>&#160;<span class="preprocessor">#define WDT_CLEAR_TIMEOUT_WAKEUP_FLAG() (WDT-&gt;ISR = WDT_ISR_WAKE_IS_Msk)</span></div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6b16a3819e767164baea0f15a589c699">   84</a></span>&#160;<span class="preprocessor">#define WDT_GET_RESET_FLAG() (WDT-&gt;ISR &amp; WDT_ISR_RST_IS_Msk ? 1 : 0)</span></div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga145a9deb3b6fc638f4f1dd840335d0b7">   93</a></span>&#160;<span class="preprocessor">#define WDT_GET_TIMEOUT_INT_FLAG() (WDT-&gt;ISR &amp; WDT_ISR_IS_Msk ? 1 : 0)</span></div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00102"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga666b1e936d4a59736a2b689438e7edc1">  102</a></span>&#160;<span class="preprocessor">#define WDT_GET_TIMEOUT_WAKEUP_FLAG() (WDT-&gt;ISR &amp; WDT_ISR_WAKE_IS_Msk ? 1 : 0)</span></div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab8ac835baa6227e84ae08a200b172069">  112</a></span>&#160;<span class="preprocessor">#define WDT_RESET_COUNTER() (WDT-&gt;CTL  |= WDT_CTL_WTR_Msk)</span></div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div><div class="line"><a name="l00119"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1a09e4e0c786c9151da6d6bd6acccfe9">  119</a></span>&#160;__STATIC_INLINE <span class="keywordtype">void</span> <a class="code" href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1a09e4e0c786c9151da6d6bd6acccfe9">WDT_Close</a>(<span class="keywordtype">void</span>)</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;{</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga9646f603341e1ee220bf5d9948f05cb0">WDT</a>-&gt;CTL = 0;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    <span class="keywordflow">return</span>;</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;}</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;</div><div class="line"><a name="l00130"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacbd76367340dd97ffd998c242cb5fa93">  130</a></span>&#160;__STATIC_INLINE <span class="keywordtype">void</span> <a class="code" href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacbd76367340dd97ffd998c242cb5fa93">WDT_EnableInt</a>(<span class="keywordtype">void</span>)</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;{</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga9646f603341e1ee220bf5d9948f05cb0">WDT</a>-&gt;IER = <a class="code" href="_nano1_x2_series_8h.html#a2c0b90d83bd3b5ee7b0d8b51200c4260">WDT_IER_IE_Msk</a>;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;    <span class="keywordflow">return</span>;</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;}</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;</div><div class="line"><a name="l00141"></a><span class="lineno"><a class="line" href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafd4cf6bfba1e1ac1b61bd3be7feb3bdd">  141</a></span>&#160;__STATIC_INLINE <span class="keywordtype">void</span> <a class="code" href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafd4cf6bfba1e1ac1b61bd3be7feb3bdd">WDT_DisableInt</a>(<span class="keywordtype">void</span>)</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;{</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;    <a class="code" href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga9646f603341e1ee220bf5d9948f05cb0">WDT</a>-&gt;IER = 0;</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    <span class="keywordflow">return</span>;</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;}</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;<span class="keywordtype">void</span>  <a class="code" href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae150a7a3e9d1e05a12fc6fd81af68a04">WDT_Open</a>(uint32_t u32TimeoutInterval,</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;               uint32_t u32ResetDelay,</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;               uint32_t u32EnableReset,</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;               uint32_t u32EnableWakeup);</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160; <span class="comment">/* end of group NANO1X2_WDT_EXPORTED_FUNCTIONS */</span></div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160; <span class="comment">/* end of group NANO1X2_WDT_Driver */</span></div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160; <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;}</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;<span class="preprocessor">#endif //__WDT_H__</span></div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;<span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div><div class="ttc" id="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_ga9646f603341e1ee220bf5d9948f05cb0"><div class="ttname"><a href="group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga9646f603341e1ee220bf5d9948f05cb0">WDT</a></div><div class="ttdeci">#define WDT</div><div class="ttdoc">Pointer to WDT register structure.</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l10630">Nano1X2Series.h:10630</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gacbd76367340dd97ffd998c242cb5fa93"><div class="ttname"><a href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacbd76367340dd97ffd998c242cb5fa93">WDT_EnableInt</a></div><div class="ttdeci">__STATIC_INLINE void WDT_EnableInt(void)</div><div class="ttdoc">This function enables the WDT time-out interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="wdt_8h_source.html#l00130">wdt.h:130</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga1a09e4e0c786c9151da6d6bd6acccfe9"><div class="ttname"><a href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1a09e4e0c786c9151da6d6bd6acccfe9">WDT_Close</a></div><div class="ttdeci">__STATIC_INLINE void WDT_Close(void)</div><div class="ttdoc">This function stops WDT counting and disable WDT module.</div><div class="ttdef"><b>Definition:</b> <a href="wdt_8h_source.html#l00119">wdt.h:119</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gae150a7a3e9d1e05a12fc6fd81af68a04"><div class="ttname"><a href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae150a7a3e9d1e05a12fc6fd81af68a04">WDT_Open</a></div><div class="ttdeci">void WDT_Open(uint32_t u32TimeoutInterval, uint32_t u32ResetDelay, uint32_t u32EnableReset, uint32_t u32EnableWakeup)</div><div class="ttdoc">This function make WDT module start counting with different time-out interval.</div><div class="ttdef"><b>Definition:</b> <a href="wdt_8c_source.html#l00047">wdt.c:47</a></div></div>
<div class="ttc" id="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gafd4cf6bfba1e1ac1b61bd3be7feb3bdd"><div class="ttname"><a href="group___n_a_n_o1_x2___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafd4cf6bfba1e1ac1b61bd3be7feb3bdd">WDT_DisableInt</a></div><div class="ttdeci">__STATIC_INLINE void WDT_DisableInt(void)</div><div class="ttdoc">This function disables the WDT time-out interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="wdt_8h_source.html#l00141">wdt.h:141</a></div></div>
<div class="ttc" id="_nano1_x2_series_8h_html_a2c0b90d83bd3b5ee7b0d8b51200c4260"><div class="ttname"><a href="_nano1_x2_series_8h.html#a2c0b90d83bd3b5ee7b0d8b51200c4260">WDT_IER_IE_Msk</a></div><div class="ttdeci">#define WDT_IER_IE_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_nano1_x2_series_8h_source.html#l10420">Nano1X2Series.h:10420</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Oct 6 2020 19:17:53 for Nano102_112 Series BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
